_, class = UnitClass("player")
if class == "MAGE" then

local ADDON_NAME, namespace = ...
local L = namespace.L

MCClassColor = {
DEATHKNIGHT = "ffc41f3b",
DRUID = "ffff7d0a",
HUNTER = "ffabd473",
MAGE = "ff69ccf0",
MONK = "ff00ff96",
PALADIN = "fff58cba",
PRIEST = "ffffffff",
ROGUE = "fffff569",
SHAMAN = "ff0070de",
WARLOCK = "ff9482c9",
WARRIOR = "ffc79c6e",
}

function MageCandy_PlaceCastingBar()
CastingBarFrame:ClearAllPoints()
CastingBarFrame:SetParent(CastingBarFrameDrag)
CastingBarFrame:SetPoint("CENTER")
CastingBarFrame:SetMovable(true)
CastingBarFrame:SetParent(UIParent)
CastingBarFrame:SetMovable(false)
end

function MageCandy_CreateCastingBarFrameMover()
UIPARENT_MANAGED_FRAME_POSITIONS["CastingBarFrame"] = nil
---------------------------------------------------
local dragframe = CreateFrame("Frame", "CastingBarFrameDrag", UIParent)
local relativepoint, _, relativeto, xoff, yoff = CastingBarFrame:GetPoint()
dragframe:SetWidth(200)
dragframe:SetHeight(18)
dragframe:SetPoint(relativepoint, nil, relativeto, xoff, yoff)
dragframe:SetFrameStrata("MEDIUM")
CastingBarFrame:ClearAllPoints()
CastingBarFrame:SetParent(dragframe)
CastingBarFrame:SetPoint("CENTER")
dragframe:SetScript("OnDragStart", function(self)
CastingBarFrame:ClearAllPoints()
CastingBarFrame:SetParent(CastingBarFrameDrag)
CastingBarFrame:SetPoint("CENTER")
CastingBarFrame:SetMovable(true)
self:StartMoving()
end)
dragframe:SetScript("OnDragStop", function(self)
CastingBarFrame:SetParent(UIParent)
CastingBarFrame:SetMovable(false)
local point, relativeto, relativepoint, xoff, yoff = dragframe:GetPoint()
MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()] = {point, relativeto, relativepoint, xoff, yoff}
self:StopMovingOrSizing()
end)
dragframe:RegisterForDrag("LeftButton")
dragframe:EnableMouse(true)
dragframe:SetMovable(true)
----------------------------------------------------
CastingBarFrameDrag:SetScript("OnUpdate", function(self, elapsed)
MCcastingbarframedelay = MCcastingbarframedelay - elapsed
if MCcastingbarframedelay <= 0 then
MCcastingbarframedelay = 0
CastingBarFrameDrag:Hide()
CastingBarFrameDrag:StopMovingOrSizing()
end
end)
CastingBarFrameDrag:CreateTexture("$parentBackground")
CastingBarFrameDragBackground:SetWidth(CastingBarFrameDrag:GetWidth())
CastingBarFrameDragBackground:SetHeight(CastingBarFrameDrag:GetHeight())
CastingBarFrameDragBackground:SetAllPoints()
CastingBarFrameDragBackground:SetTexture(0, 0, 1)
CastingBarFrameDrag:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
CastingBarFrameDragText:SetPoint("CENTER")
CastingBarFrameDragText:SetText(L["CASTING_BAR_FRAME_MOVER"])
CastingBarFrameDrag:Hide()

end

function MageCandy_CreateTimer(name, point, rframe, rpoint, xoff, yoff)
local frame, icon, text, bg, bar, bartext, cd
frame = CreateFrame("Frame", name, UIParent)
frame:SetHeight(31.5)
frame:SetWidth(126)
frame:SetPoint(point, rframe, rpoint, xoff, yoff)
icon = frame:CreateTexture("$parentIcon")
icon:SetWidth(28)
icon:SetHeight(28)
icon:SetPoint("LEFT", frame, "LEFT", 1.5, 0)
cd = CreateFrame("Cooldown", "$parentCooldown" , frame, "CooldownFrameTemplate")
cd:ClearAllPoints()
cd:SetWidth(28)
cd:SetHeight(28)
cd:SetPoint("CENTER", icon, "CENTER")
cd:SetReverse(true)
text = frame:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetWidth(frame:GetWidth() - icon:GetWidth() - 6)
text:SetHeight(7)
text:SetTextHeight(10)
bg = frame:CreateTexture("$parentBG", "BACKGROUND")
bg:SetAllPoints()
bg:SetTexture(0, 0, 0, 0.8)
bar = CreateFrame("StatusBar", "$parentBar", frame)
bar:SetWidth(bg:GetWidth() - icon:GetWidth() - 2)
bar:SetHeight(10)
bar:SetPoint("BOTTOMLEFT", icon, "BOTTOMRIGHT", 0, 1)
text:SetPoint("BOTTOMLEFT", bar, "TOPLEFT", 0, 7)
bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
bar:SetStatusBarColor(0, 1, 0.6)
bar:SetMinMaxValues(0, 1)
bar:SetValue(0)
bartext = bar:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
bartext:SetPoint("CENTER", bar, "CENTER", 0, -0.5)
bartext:SetTextColor(1, 1, 1)
bartext:SetTextHeight(11)
MageCandy_SetupFrame(frame)
frame:Hide()
count = frame:CreateFontString("$parentCount", "OVERLAY", "NumberFontNormal")
count:SetTextColor(1, 1, 1)
count:SetTextHeight(16)
count:SetPoint("BOTTOMRIGHT", icon, "BOTTOMRIGHT")

end

-- Just Saves Me Some Typing =) --
function MageCandy_SetupFrame(frame) -- My baby. it creates drag frames under the main frame so that when you change the scale, the frame doesnt move around the screen. Also saves positions.
dragframe = CreateFrame("Frame", frame:GetName().."Drag", UIParent)
local relativepoint, _, relativeto, xoff, yoff = frame:GetPoint()
dragframe:SetWidth(frame:GetWidth())
dragframe:SetHeight(frame:GetHeight())
dragframe:SetPoint(relativepoint, UIParent, relativeto, xoff, yoff)
dragframe:SetFrameStrata("MEDIUM")
dragframe:SetToplevel()
frame:ClearAllPoints()
frame:SetParent(dragframe)
frame:SetPoint("CENTER")
frame:SetScript("OnDragStart", function(self)
self:GetParent():StartMoving()
end)
frame:SetScript("OnDragStop", function(self)
local point, relativeto, relativepoint, xoff, yoff = _G[self:GetName().."Drag"]:GetPoint()
MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName().."Drag"] = {point, relativeto, relativepoint, xoff, yoff}
self:GetParent():StopMovingOrSizing()
end)
frame:RegisterForDrag("LeftButton")
frame:EnableMouse(true)
dragframe:SetMovable(true)
end

function MageCandy_LockFrames()
if UnitAffectingCombat("player") == false then
MCCurseTrackerDrag:StopMovingOrSizing()
MCCurseTracker:EnableMouse(false)
end
--MCSpellCalculatorDrag:StopMovingOrSizing()
--MCSpellCalculator:EnableMouse(false)
MCArcaneChargeTrackerDrag:StopMovingOrSizing()
MCArcaneChargeTracker:EnableMouse(false)
MCCauterizeTimerDrag:StopMovingOrSizing()
MCCauterizeTimer:EnableMouse(false)
MCRuneOfPower1TimerDrag:StopMovingOrSizing()
MCRuneOfPower1Timer:EnableMouse(false)
MCRuneOfPower2TimerDrag:StopMovingOrSizing()
MCRuneOfPower2Timer:EnableMouse(false)
MCHypothermiaTimerDrag:StopMovingOrSizing()
MCHypothermiaTimer:EnableMouse(false)
MCAlterTimeTimerDrag:StopMovingOrSizing()
MCAlterTimeTimer:EnableMouse(false)
MCWaterElementalTrackerDrag:StopMovingOrSizing()
MCWaterElementalTracker:EnableMouse(false)
MCStatsDrag:StopMovingOrSizing()
MCStats:EnableMouse(false)
MCManaBarDrag:StopMovingOrSizing()
MCManaBar:EnableMouse(false)
MCCauterizeNotificationDrag:StopMovingOrSizing()
MCCauterizeNotification:EnableMouse(false)
MCLazyMageDrag:StopMovingOrSizing()
MCLazyMage:EnableMouse(false)
MCFocusSpellStealFrameDrag:StopMovingOrSizing()
MCFocusSpellStealFrame:EnableMouse(false)
MCTargetSpellStealFrameDrag:StopMovingOrSizing()
MCTargetSpellStealFrame:EnableMouse(false)
MCStolenSpellsFrameDrag:StopMovingOrSizing()
MCStolenSpellsFrame:EnableMouse(false)
MCPolymorphMonitorDrag:StopMovingOrSizing()
MCPolymorphMonitor:EnableMouse(false)
MCFingersOfFrostTimerDrag:StopMovingOrSizing()
MCFingersOfFrostTimer:EnableMouse(false)
MCBrainFreezeTimerDrag:StopMovingOrSizing()
MCBrainFreezeTimer:EnableMouse(false)
MCFrozenOrbTimerDrag:StopMovingOrSizing()
MCFrozenOrbTimer:EnableMouse(false)
MCRingOfFrostTimerDrag:StopMovingOrSizing()
MCRingOfFrostTimer:EnableMouse(false)
MCArcaneChargeTimerDrag:StopMovingOrSizing()
MCArcaneChargeTimer:EnableMouse(false)
MCArcaneMissilesTimerDrag:StopMovingOrSizing()
MCArcaneMissilesTimer:EnableMouse(false)
MCPyroblastTimerDrag:StopMovingOrSizing()
MCPyroblastTimer:EnableMouse(false)
MCArcanePowerTimerDrag:StopMovingOrSizing()
MCArcanePowerTimer:EnableMouse(false)
MCIcyVeinsTimerDrag:StopMovingOrSizing()
MCIcyVeinsTimer:EnableMouse(false)
MCMirrorImageTimerDrag:StopMovingOrSizing()
MCMirrorImageTimer:EnableMouse(false)
MCCombustionTrackerDrag:StopMovingOrSizing()
MCCombustionTracker:EnableMouse(false)
MCMirrorImageTrackerDrag:StopMovingOrSizing()
MCMirrorImageTracker:EnableMouse(false)
MCBombTrackerDrag:StopMovingOrSizing()
MCBombTracker:EnableMouse(false)
end

function MageCandy_UnlockFrames(bypass)
local value

if bypass then
value = true
elseif MageCandy_Profiles[MageCandy_ActiveProfile].options.lockframes == false then
value = true
elseif MageCandy_Profiles[MageCandy_ActiveProfile].options.lockframes == true then
value = false
end
if UnitAffectingCombat("player") == false then
MCCurseTracker:EnableMouse(value)
end
--MCSpellCalculator:EnableMouse(value)
MCArcaneChargeTracker:EnableMouse(value)
MCCauterizeTimer:EnableMouse(value)
MCRuneOfPower1Timer:EnableMouse(value)
MCRuneOfPower2Timer:EnableMouse(value)
MCHypothermiaTimer:EnableMouse(value)
MCAlterTimeTimer:EnableMouse(value)
MCWaterElementalTracker:EnableMouse(value)
MCCombustionTracker:EnableMouse(value)
MCMirrorImageTracker:EnableMouse(value)
MCBombTracker:EnableMouse(value)
MCStats:EnableMouse(value)
MCManaBar:EnableMouse(value)
MCLazyMage:EnableMouse(value)
MCCauterizeNotification:EnableMouse(value)
MCFocusSpellStealFrame:EnableMouse(value)
MCTargetSpellStealFrame:EnableMouse(value)
MCStolenSpellsFrame:EnableMouse(value)
MCPolymorphMonitor:EnableMouse(value)
MCFingersOfFrostTimer:EnableMouse(value)
MCBrainFreezeTimer:EnableMouse(value)
MCFrozenOrbTimer:EnableMouse(value)
MCRingOfFrostTimer:EnableMouse(value)
MCArcaneChargeTimer:EnableMouse(value)
MCArcaneMissilesTimer:EnableMouse(value)
MCPyroblastTimer:EnableMouse(value)
MCArcanePowerTimer:EnableMouse(value)
MCIcyVeinsTimer:EnableMouse(value)
MCMirrorImageTimer:EnableMouse(value)
end

function MageCandy_HideFrames()
MCArcaneChargeTracker:Hide()
MCArcaneChargeTrackerHeader:Hide()
MCCurseTracker:Hide()
MCCurseTrackerHeader:Hide()
MCStolenSpellsFrame:Hide()
MCTargetSpellStealFrame:Hide()
MCFocusSpellStealFrame:Hide()
MCManaBar:Hide()
--MCSpellCalculator:Hide()
--MCSpellCalculatorHeader:Hide()
MCStats:Hide()
MCCombustionTracker:Hide()
end

function MageCandy_Show(frame, value)
if value == true then
frame:Show()
else
frame:Hide()
end
end

function MageCandy_ShowFrames()
MCtimerbypass = 60
MCpolydelay, MCpolyduration, MCnewpolyguid, MCpolyguid, MCpolyname, MCpolyapplied, MCpolybroken = 0, 0, nil, nil, nil, false, false
MCpolyculprit, MCpolyspell, MCpolyculpritspell, MCpolyremove, MCpolybrokenevent = nil, nil, nil, false, nil
MCArcaneChargeTracker:Show()
MCArcaneChargeTrackerHeader:Show()
MCTargetSpellStealFrame:Show()
MCTargetSpellStealFrameHeader:Show()
MCTargetSpellStealFrameBackground:Show()
MCFocusSpellStealFrame:Show()
MCFocusSpellStealFrameHeader:Show()
MCFocusSpellStealFrameBackground:Show()
MCStolenSpellsFrame:Show()
MCStolenSpellsFrameHeader:Show()
MCStolenSpellsFrameBackground:Show()
MCPolymorphMonitor:Show()
MCWaterElementalTracker:Show()
MCPolymorphMonitorBar:SetMinMaxValues(0, 60)
MCPolymorphMonitorText:SetText(L["POLYMORPH"].." "..L["TIMER"])
MageCandy_UnlockFrames(true)
MageCandy_NewTime("MCCauterizeTimer", 60, true)
MCCauterizeTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCRuneOfPower1Timer", 60, true)
MCRuneOfPower1TimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCRuneOfPower2Timer", 60, true)
MCRuneOfPower2TimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCHypothermiaTimer", 60, true)
MCHypothermiaTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCAlterTimeTimer", 60, true)
MCAlterTimeTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCArcaneMissilesTimer", 60, true)
MCArcaneMissilesTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCArcaneChargeTimer", 60, true)
MCArcaneChargeTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCArcanePowerTimer", 60, true)
MCArcanePowerTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCFingersOfFrostTimer", 60, true)
MCFingersOfFrostTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCBrainFreezeTimer", 60, true)
MCBrainFreezeTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCIcyVeinsTimer", 60, true)
MCIcyVeinsTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCRingOfFrostTimer", 60, true)
MCRingOfFrostTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCFrozenOrbTimer", 60, true)
MCFrozenOrbTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCPyroblastTimer", 60, true)
MCPyroblastTimerBar:SetMinMaxValues(0, 60)
MageCandy_NewTime("MCMirrorImageTimer", 60, true)
MCMirrorImageTimerBar:SetMinMaxValues(0, 60)
MCCauterizeNotification:Show()
MCStats:Show()
MCCombustionTracker:Show()
MCMirrorImageTracker:Show()
MCBombTracker:Show()
MCManaBar:Show()
--MCSpellCalculator:Show()
--MCSpellCalculatorHeader:Show()
MCHealthBar:Show()
MCCauterizeNotification:SetScale(MageCandy_Profiles[MageCandy_ActiveProfile].options.scale.mccauterizenotification)
MCcauterizetest = 60
MCLazyMage:Show()
MCCurseTracker:Show()
MCCurseTrackerHeader:Show()
end

function MageCandy_RepositionBuffs()
local frame
---------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCTargetSpellStealFrameBuff"..idx] then
frame = _G["MCTargetSpellStealFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.flipbuffs == true then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCTargetSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCTargetSpellStealFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCTargetSpellStealFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCTargetSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end
------------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCFocusSpellStealFrameBuff"..idx] then
frame = _G["MCFocusSpellStealFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.flipbuffs == true then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCFocusSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCFocusSpellStealFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCFocusSpellStealFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCFocusSpellStealFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end
-------------------------------------------------------------------------------
for idx = 1, 12 do
if _G["MCStolenSpellsFrameBuff"..idx] then
frame = _G["MCStolenSpellsFrameBuff"..idx]
frame:ClearAllPoints()
else
break
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.flipbuffs == true then
if idx == 1 then 
frame:SetPoint("BOTTOMLEFT", MCStolenSpellsFrame, "BOTTOMLEFT", 5.5, 5.5)
elseif idx == 7 then
frame:SetPoint("BOTTOMLEFT", MCStolenSpellsFrameBuff1, "TOPLEFT", 0, 3)
else
frame:SetPoint("LEFT", _G["MCStolenSpellsFrameBuff"..idx-1], "RIGHT", 3, 0)
end
else
if idx == 1 then 
frame:SetPoint("TOPLEFT", MCStolenSpellsFrame, "TOPLEFT", 5.5, -5.5)
elseif idx == 7 then
frame:SetPoint("TOPLEFT", MCStolenSpellsFrameBuff1, "BOTTOMLEFT", 0, -3)
else
frame:SetPoint("LEFT", _G["MCStolenSpellsFrameBuff"..idx-1], "RIGHT", 3, 0)
end
end
end

end

function MageCandy_ReloadUI()
MCReloadUI:Show()
end

function MageCandy_UpdateUI(regen)
if MageCandy_Profiles[MageCandy_ActiveProfile].options.lockframes == true then
MageCandy_LockFrames()
else
MageCandy_UnlockFrames()
end


-- hide manually because events wont fire for these frames if they are hidden, which makes less work for the computer.

if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablepolymorphmonitor == false then
MCPolymorphMonitor:Hide()
end

if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablespellstealmonitor == false then
MCTargetSpellStealFrame:Hide()
MCFocusSpellStealFrame:Hide()
MCStolenSpellsFrame:Hide()
else
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mctargetspellstealframe == false then
MCTargetSpellStealFrame:Hide()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcfocusspellstealframe == false then
MCFocusSpellStealFrame:Hide()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstolenspellsframe == false then
MCStolenSpellsFrame:Hide()
end
end


--Mana Bar--
--if MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell ~= nil then 
--MCSpellCalculator:Show() 
--else MCSpellCalculator:Hide() 
--end

if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablehealthbar == true then
MageCandy_HealthBarUpdate()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.enablemanabar == true then
MageCandy_ManaBarUpdate()
end

MageCandy_SetManaBarPoints()
if MCSpec == "Fire" then
MageCandy_Show(MCCombustionTracker, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccombustiontracker)
else
MCCombustionTracker:Hide()
end
if UnitAffectingCombat("player") == false then
MageCandy_Show(MCCurseTracker, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mccursetracker)
else
MCsetcursetracker = true
end
if MCSpec == "Arcane" then
MageCandy_Show(MCArcaneChargeTracker, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcarcanechargetracker)
else
MCArcaneChargeTracker:Hide()
end
if MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcminimapbutton == true then
LibStub("LibDBIcon-1.0"):Show("MageCandy")
else
LibStub("LibDBIcon-1.0"):Hide("MageCandy")
end
MageCandy_Show(MCStats, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcstats)
MageCandy_Show(MCManaBar , MageCandy_Profiles[MageCandy_ActiveProfile].options.enablemanabar)
MageCandy_Show(MCHealthBar , MageCandy_Profiles[MageCandy_ActiveProfile].options.enablehealthbar)
MageCandy_Show(MCManaBarReserve , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarreserve)
MageCandy_Show(MCManaBarMarker1 , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarmarker1)
MageCandy_Show(MCManaBarMarker2 , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarmarker2)
MageCandy_Show(MCManaBarMarker3 , MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcmanabarmarker3)
MageCandy_Show(MCFocusSpellStealFrameBackground, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCTargetSpellStealFrameBackground, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCStolenSpellsFrameBackground, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorbackground)
MageCandy_Show(MCFocusSpellStealFrameHeader, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorheader)
MageCandy_Show(MCTargetSpellStealFrameHeader, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorheader)
MageCandy_Show(MCStolenSpellsFrameHeader, MageCandy_Profiles[MageCandy_ActiveProfile].options.show.mcspellstealmonitorheader)
if MageCandy_Profiles[MageCandy_ActiveProfile].options.input.calculatorspell == "" then
--MCSpellCalculator:Hide()
else
--MCSpellCalculator:Show()
end

if regen == true then
MageCandy_HideFrames()
else
return
end

end

function MageCandy_PlaceFrames()
MageCandy_SetPoint(MCPyroblastTimerDrag)
MageCandy_SetPoint(MCIcyVeinsTimerDrag)
MageCandy_SetPoint(MCArcaneMissilesTimerDrag)
MageCandy_SetPoint(MCFingersOfFrostTimerDrag)
MageCandy_SetPoint(MCBrainFreezeTimerDrag)
MageCandy_SetPoint(MCArcanePowerTimerDrag)
MageCandy_SetPoint(MCFrozenOrbTimerDrag)
MageCandy_SetPoint(MCMirrorImageTimerDrag)
MageCandy_SetPoint(MCRingOfFrostTimerDrag)
MageCandy_SetPoint(MCArcaneChargeTimerDrag)
MageCandy_SetPoint(MCManaBarDrag)
MageCandy_SetPoint(MCTargetSpellStealFrameDrag)
MageCandy_SetPoint(MCFocusSpellStealFrameDrag)
MageCandy_SetPoint(MCStolenSpellsFrameDrag)
MageCandy_SetPoint(MCPolymorphMonitorDrag)
MageCandy_SetPoint(MCCauterizeNotificationDrag)
MageCandy_SetPoint(MCLazyMageDrag)
MageCandy_SetPoint(MCStatsDrag)
MageCandy_SetPoint(MCBombTrackerDrag)
MageCandy_SetPoint(MCCombustionTrackerDrag)
MageCandy_SetPoint(MCMirrorImageTrackerDrag)
MageCandy_SetPoint(MCWaterElementalTrackerDrag)
MageCandy_SetPoint(MCAlterTimeTimerDrag)
MageCandy_SetPoint(MCHypothermiaTimerDrag)
MageCandy_SetPoint(MCCauterizeTimerDrag)
MageCandy_SetPoint(MCRuneOfPower1TimerDrag)
MageCandy_SetPoint(MCRuneOfPower2TimerDrag)
MageCandy_SetPoint(MCArcaneChargeTrackerDrag)
--MageCandy_SetPoint(MCSpellCalculatorDrag)
if UnitAffectingCombat("player") == false then
MageCandy_SetPoint(MCCurseTrackerDrag)
else
MCplacecursetracker = true
end
CastingBarFrame:SetParent(CastingBarFrameDrag)
MageCandy_SetPoint(CastingBarFrameDrag)
CastingBarFrame:SetParent(UIParent)

end

function MageCandy_SetPoint(self)
self:ClearAllPoints()
self:SetPoint(MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][1], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][2], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][3], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][4], MageCandy_Profiles[MageCandy_ActiveProfile].options[self:GetName()][5])
end

function MageCandy_BigNumbers(num) -- Not Used (In place for golden number timer for alter time)
if num == 1 then
return 0, 0.25, 0, 0.33
elseif num == 2 then
return 0.25, 0.50, 0, 0.33
elseif num == 3 then
return 0.50, 0.75, 0, 0.33
elseif num == 4 then
return 0.75, 1, 0, 0.33
elseif num == 5 then
return 0, 0.25, 0.33, 0.66
elseif num == 6 then
return 0.25, 0.50, 0.33, 0.66
elseif num == 7 then
return 0.50, 0.75, 0.33, 0.66
elseif num == 8 then
return 0.75, 1, 0.33, 0.66
elseif num == 9 then
return 0, 0.25, 0.66, 1
end
return
end

function MageCandy_CreateMiniMapButton()
local dataObject = LibStub("LibDataBroker-1.1"):NewDataObject("MageCandy", {
     type = "launcher",
     name = "MageCandy",
     icon = "Interface\\ICONS\\Inv_misc_food_28",
     OnClick = function(self, button)
          MCOptionsFrame:SetShown(not MCOptionsFrame:IsShown())
          for idx = 1, MCMenuButtons do
          local frame = _G["MCOptionsFrameButtonsButton"..idx]
          frame.clicked = false
          _G["MCOptionsFrameButtonsButton"..idx.."Highlight"]:Hide()
          _G["MCOptionsFrameButtonsButton"..idx.."Text"]:SetTextColor(1, 0.83, 0)
          frame.parent:Hide()
          end
          MCOptionsFrameButtonsButton1.clicked = true
          MCOptionsFrameButtonsButton1Highlight:Show()
          MCOptionsFrameButtonsButton1Highlight:SetTexture(1, 1, 0, 0.6)
          MCOptionsFrameButtonsButton1Text:SetTextColor(1, 1, 1)
          MageCandy.panel:Show()
          end,
	 OnEnter = function(self)
	 GameTooltip:ClearAllPoints()
	 GameTooltip:SetOwner(self)
	 GameTooltip:SetText("|cff00dfffMage Candy|r")
	 GameTooltip:Show()
	 end,
	 OnLeave = function(self)
	 GameTooltip:Hide()
	 end,
})

MCMiniMapButton = LibStub("LibDBIcon-1.0"):Register("MageCandy", dataObject, MageCandyMiniMap)
end



end
